package com.ar.imagetracear.database;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.io.Serializable;

@Entity(tableName = "imageTrace_entry")
public class ImageTraceEntry implements Serializable {

    @PrimaryKey(autoGenerate = true)
    private int id;

    private String path;

    private boolean type;

    private boolean isFavorite;

    public ImageTraceEntry(boolean isFavorite, Boolean type, String path) {
        this.isFavorite = isFavorite;
        this.type = type;
        this.path = path;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public boolean isType() {
        return type;
    }

    public void setType(boolean type) {
        this.type = type;
    }

    public boolean isFavorite() {
        return isFavorite;
    }

    public void setFavorite(boolean favorite) {
        isFavorite = favorite;
    }
}